# Uses of Class
org.bukkit.permissions.Permission

Packages that use Permission
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.permissions
Classes dedicated to providing binary state properties to players.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.util.permissions
Static methods for miscellaneous `permission` functionality.

## Uses of Permission in org.bukkit.command

Methods in org.bukkit.command with parameters of type Permission
Modifier and Type
Method
Description
`default boolean`
MessageCommandSender.`hasPermission(@NotNull Permission perm)`
`default boolean`
MessageCommandSender.`isPermissionSet(@NotNull Permission perm)`

## Uses of Permission in org.bukkit.permissions

Methods in org.bukkit.permissions that return Permission
Modifier and Type
Method
Description
`@NotNull Permission`
Permission.`addParent(@NotNull String name, boolean value)`
Adds this permission to the specified parent permission.
`static @NotNull Permission`
Permission.`loadPermission(@NotNull String name, @NotNull Map<?,?> data, @Nullable PermissionDefault def, @Nullable List<Permission> output)`
Loads a Permission from a map of data, usually used from retrieval from a yaml file.
`static @NotNull Permission`
Permission.`loadPermission(@NotNull String name, @NotNull Map<String,Object> data)`
Loads a Permission from a map of data, usually used from retrieval from a yaml file.
Methods in org.bukkit.permissions that return types with arguments of type Permission
Modifier and Type
Method
Description
`static @NotNull List<Permission>`
Permission.`loadPermissions(@NotNull Map<?,?> data, @NotNull String error, @Nullable PermissionDefault def)`
Loads a list of Permissions from a map of data, usually used from retrieval from a yaml file.
Methods in org.bukkit.permissions with parameters of type Permission
Modifier and Type
Method
Description
`void`
Permission.`addParent(@NotNull Permission perm, boolean value)`
Adds this permission to the specified parent permission.
`boolean`
Permissible.`hasPermission(@NotNull Permission perm)`
Gets the value of the specified permission, if set.
`boolean`
PermissibleBase.`hasPermission(@NotNull Permission perm)`
`boolean`
Permissible.`isPermissionSet(@NotNull Permission perm)`
Checks if this object contains an override for the specified `Permission`
`boolean`
PermissibleBase.`isPermissionSet(@NotNull Permission perm)`
`default @NotNull TriState`
Permissible.`permissionValue(@NotNull Permission permission)`
Checks if this object has a permission set and, if it is set, the value of the permission.
`void`
PermissionAttachment.`setPermission(@NotNull Permission perm, boolean value)`
Sets a permission to the given value
`void`
PermissionAttachment.`unsetPermission(@NotNull Permission perm)`
Removes the specified permission from this attachment.
Method parameters in org.bukkit.permissions with type arguments of type Permission
Modifier and Type
Method
Description
`static @NotNull Permission`
Permission.`loadPermission(@NotNull String name, @NotNull Map<?,?> data, @Nullable PermissionDefault def, @Nullable List<Permission> output)`
Loads a Permission from a map of data, usually used from retrieval from a yaml file.

## Uses of Permission in org.bukkit.plugin

Methods in org.bukkit.plugin that return Permission
Modifier and Type
Method
Description
`@Nullable Permission`
PluginManager.`getPermission(@NotNull String name)`
Gets a `Permission` from its fully qualified name
`@Nullable Permission`
SimplePluginManager.`getPermission(@NotNull String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in org.bukkit.plugin that return types with arguments of type Permission
Modifier and Type
Method
Description
`@NotNull Set<Permission>`
PluginManager.`getDefaultPermissions(boolean op)`
Gets the default permissions for the given op status
`@NotNull Set<Permission>`
SimplePluginManager.`getDefaultPermissions(boolean op)`
Deprecated, for removal: This API element is subject to removal in a future version.
`@NotNull List<Permission>`
PluginDescriptionFile.`getPermissions()`
Gives the list of permissions the plugin will register at runtime, immediately proceding enabling.
`@NotNull Set<Permission>`
PluginManager.`getPermissions()`
Gets a set of all registered permissions.
`@NotNull Set<Permission>`
SimplePluginManager.`getPermissions()`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in org.bukkit.plugin with parameters of type Permission
Modifier and Type
Method
Description
`void`
PluginManager.`addPermission(@NotNull Permission perm)`
Adds a `Permission` to this plugin manager.
`void`
SimplePluginManager.`addPermission(@NotNull Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SimplePluginManager.`addPermission(@NotNull Permission perm, boolean dirty)`
Deprecated.
`void`
PluginManager.`recalculatePermissionDefaults(@NotNull Permission perm)`
Recalculates the defaults for the given `Permission`.
`void`
SimplePluginManager.`recalculatePermissionDefaults(@NotNull Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
PluginManager.`removePermission(@NotNull Permission perm)`
Removes a `Permission` registration from this plugin manager.
`void`
SimplePluginManager.`removePermission(@NotNull Permission perm)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of Permission in org.bukkit.util.permissions

Methods in org.bukkit.util.permissions that return Permission
Modifier and Type
Method
Description
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm, boolean withLegacy)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm, @NotNull Permission parent)`
`static @NotNull Permission`
BroadcastPermissions.`registerPermissions(@NotNull Permission parent)`
`static @NotNull Permission`
CommandPermissions.`registerPermissions(@NotNull Permission parent)`
Methods in org.bukkit.util.permissions with parameters of type Permission
Modifier and Type
Method
Description
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm, boolean withLegacy)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull Permission perm, @NotNull Permission parent)`
`static @NotNull Permission`
BroadcastPermissions.`registerPermissions(@NotNull Permission parent)`
`static @NotNull Permission`
CommandPermissions.`registerPermissions(@NotNull Permission parent)`